"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Deferred = (function () {
    function Deferred(p) {
        this.promise = p;
    }
    Deferred.prototype.then = function (onfulfilled, onrejected) {
        return this.promise.then(onfulfilled, onrejected);
    };
    Deferred.prototype.catch = function (onRejected) {
        return this.promise.catch(onRejected);
    };
    Deferred.prototype.finally = function (onFinally) {
        return this.promise.finally(onFinally);
    };
    return Deferred;
}());
exports.Deferred = Deferred;
//# sourceMappingURL=deferred.js.map