"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function logMethod(target, propertyName, propertyDesciptor) {
    var method = propertyDesciptor.value;
    propertyDesciptor.value = function () {
        var args = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            args[_i] = arguments[_i];
        }
        var params = args.map(function (a) { return JSON.stringify(a); }).join();
        var result = method.apply(this, args);
        var r = JSON.stringify(result);
        console.log("Call: " + propertyName + "(" + params + ") => " + r);
        return result;
    };
    return propertyDesciptor;
}
exports.logMethod = logMethod;
//# sourceMappingURL=decorator.js.map