export declare class Deferred<T> {
    protected promise: Promise<T>;
    constructor(p: Promise<T>);
    then(onfulfilled?: (value: T) => T | PromiseLike<T>, onrejected?: (reason: T) => PromiseLike<never>): Promise<T>;
    catch(onRejected?: (reason: T) => PromiseLike<never>): Promise<T>;
    finally(onFinally?: () => void): Promise<T>;
}
