declare type r = (v: string) => Fuzzer;
declare class Fuzzer {
    static init: () => Fuzzer;
    private q;
    private constructor();
    ask: () => Promise<{}>;
    max: (max: number) => Fuzzer;
    meansLike: r;
    soundsLike: r;
    spelledLike: r;
    startWith: r;
    endsWith: r;
    nounFromAdjective: r;
    adjectiveFromNoun: r;
    synonym: r;
    triggerWord: r;
    antonym: r;
    moreGeneral: r;
    moreSpecific: r;
    partOf: r;
    comprises: r;
    frequentFollower: r;
    frequentPredecessor: r;
    rhymesWith: r;
    nearRhymesWith: r;
    consonantMatch: r;
    private k;
}
declare const _default: () => Fuzzer;
export default _default;
